%define tarversion 2_7_0

# threads
# values: pthreads, none
%define threads pthread

Summary:	Xerces-C++ validating XML parser
Name:		compat-xerces-c-27
Version:	2.7.0
Release:	1.2.moblin2
URL:		http://xerces.apache.org/xerces-c/
Source0:	http://mirror.its.uidaho.edu/pub/apache/xerces/c/2/sources/xerces-c-src_%{tarversion}.tar.gz
License:    Apache
Group:		System Environment/Libraries
BuildRoot:	 %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
Xerces-C++ is a validating XML parser written in a portable subset of C++.
Xerces-C++ makes it easy to give your application the ability to read and
write XML data. A shared library is provided for parsing, generating,
manipulating, and validating XML documents.

The parser provides high performance, modularity, and scalability. Source
code, samples and API documentation are provided with the parser. For
portability, care has been taken to make minimal use of templates, no RTTI,
and minimal use of #ifdefs.


%prep
%setup -q -n xerces-c-src_%{tarversion}

%build
%ifarch alpha ppc64 s390x sparc64 x86_64 ia64
  %define rcopts -b 64
%else
  %define rcopts -b 32
%endif

export XERCESCROOT=$RPM_BUILD_DIR/xerces-c-src_%{tarversion}
cd $XERCESCROOT/src/xercesc
./runConfigure %{rcopts} -c gcc -x %{__cxx} -p %{_os} -C --libdir="%{_libdir}" -minmem -nsocket -tnative -r%{threads} -P%{_prefix}
%{__make} DESTDIR=$RPM_BUILD_ROOT

%install
export XERCESCROOT=$RPM_BUILD_DIR/xerces-c-src_%{tarversion}
cd $XERCESCROOT/src/xercesc
%{__make} DESTDIR=$RPM_BUILD_ROOT TARGET=$RPM_BUILD_ROOT install
if [ ! -e $RPM_BUILD_ROOT%{_prefix}/%{_lib} ]; then
        %{__mv} $RPM_BUILD_ROOT%{_prefix}/lib $RPM_BUILD_ROOT%{_prefix}/%{_lib}
fi
rm -rf $RPM_BUILD_ROOT%{_prefix}/include/xercesc
rm -rf $RPM_BUILD_ROOT%{_prefix}/%{_lib}/*.so

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(755,root,root)
%{_libdir}/libxerces-*.so.*


%changelog
* Sat Feb  7 2009 Anas Nashif <anas.nashif@intel.com> 2.8.0
- minor spec cleanup
* Sun Nov  2 2008 Anas Nashif <anas.nashif@intel.com> 2.8.0
- added changes file
* Fri Jun  6 2003 Tuan Hoang <tqhoang@bigfoot.com>
- updated for new Xerces-C filename and directory format
- fixed date format in changelog section
* Fri Mar 14 2003 Tinny Ng <tng@ca.ibm.com>
- changed to 2.3
* Wed Dec 18 2002 Albert Strasheim <albert@stonethree.com>
- added symlink to libxerces-c.so in lib directory
* Fri Dec 13 2002 Albert Strasheim <albert@stonethree.com>
- added seperate doc package
- major cleanups
* Tue Sep  3 2002 <thomas@linux.de>
- fixed missing DESTDIR in Makefile.util.submodule
* Mon Sep  2 2002 <thomas@linux.de>
- Initial build.
